Public Member Functions | Public Attributes | Friends | List of all members
WPS4TextInternal::Note Struct Referencefinal

Internal: class to store an note type. More...

Inheritance diagram for WPS4TextInternal::Note:

## Public Member Functions
| Note ()
| constructor More...
| Note (Note const &)=default
Note & | operator= (Note const &)=default
| ~Note () final
| destructor More...
bool | isNumeric () const
Public Member Functions inherited from WPSEntry
| WPSEntry ()
| constructor More...
| WPSEntry (WPSEntry const &)=default
WPSEntry & | operator= (WPSEntry const &)=default
virtual | ~WPSEntry ()
| destructor More...
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long e)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid (bool checkId=false) const
| returns true if the zone length is positive More...
bool | operator== (const WPSEntry &a) const
| basic operator== More...
bool | operator!= (const WPSEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &tp)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
std::string const & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &tp) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
std::string const & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the entry id More...
void | setId (int i)
| sets the id More...
std::string const & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Public Attributes
librevenge::RVNGString | m_label
| the label if not numeric More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Note const &note)
| operator << More...

## Additional Inherited Members
Protected Attributes inherited from WPSEntry
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
int | m_id
| the identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: class to store an note type.

## Constructor & Destructor Documentation

## ◆ Note() [1/2]

WPS4TextInternal::Note::Note | ( |  | ) |
| inline

constructor

## ◆ Note() [2/2]

WPS4TextInternal::Note::Note | ( | Note const & |  | ) |
| default

## ◆ ~Note()

WPS4TextInternal::Note::~Note | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ isNumeric()

bool WPS4TextInternal::Note::isNumeric | ( |  | ) | const
| inline

## ◆ operator=()

Note& WPS4TextInternal::Note::operator= | ( | Note const & |  | ) |
| default

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Note const & | note
| ) |  |
| friend

operator <<

## Member Data Documentation

## ◆ m_error

std::string WPS4TextInternal::Note::m_error

a string used to store the parsing errors

Referenced by WPS4Text::footNotesDataParser(), and WPS4Text::readFootNotes().

## ◆ m_label

librevenge::RVNGString WPS4TextInternal::Note::m_label

the label if not numeric

Referenced by WPS4Text::footNotesDataParser(), isNumeric(), and WPS4Text::readFootNotes().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp